Bug 28023 - Typo in Reply-To header
Summary: Typo in Reply-To header
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Notices (show other bugs)
Version: master
Hardware: All All
: P5 - low major (vote)
Assignee: Tomás Cohen Arazi
QA Contact: Martin Renvoize
URL:
Keywords:
Depends on: 22343
Blocks:
  Show dependency treegraph
 
Reported: 2021-03-23 14:12 UTC by Tomás Cohen Arazi
Modified: 2021-04-26 12:05 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Text to go in the release notes:
Version(s) released in:
21.05.00,20.11.05


Attachments
Bug 28023: Regression tests (2.01 KB, patch)
2021-03-23 14:17 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 28023: Fix Reply-To typo (1010 bytes, patch)
2021-03-23 14:17 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 28023: Regression tests (2.08 KB, patch)
2021-03-23 14:31 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 28023: Fix Reply-To typo (1.05 KB, patch)
2021-03-23 14:31 UTC, Martin Renvoize
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Tomás Cohen Arazi 2021-03-23 14:12:14 UTC
Koha::Email has a typo for the Reply-To header!
Comment 1 Tomás Cohen Arazi 2021-03-23 14:17:46 UTC
Created attachment 118661 [details] [review]
Bug 28023: Regression tests

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Comment 2 Tomás Cohen Arazi 2021-03-23 14:17:49 UTC
Created attachment 118662 [details] [review]
Bug 28023: Fix Reply-To typo

This patch fixes a typo making the header useless.

To test:
1. Apply the regression tests patch
2. Run:
   $ kshell
  k$ prove t/Koha/Email.t
=> FAIL: The Reply-To header is not being set!
3. Apply this patch
4. Repeat 2
=> SUCCESS: Tests pass! the header is set!
5. Sign off :-D
Comment 3 Martin Renvoize 2021-03-23 14:31:33 UTC
Created attachment 118666 [details] [review]
Bug 28023: Regression tests

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 4 Martin Renvoize 2021-03-23 14:31:36 UTC
Created attachment 118667 [details] [review]
Bug 28023: Fix Reply-To typo

This patch fixes a typo making the header useless.

To test:
1. Apply the regression tests patch
2. Run:
   $ kshell
  k$ prove t/Koha/Email.t
=> FAIL: The Reply-To header is not being set!
3. Apply this patch
4. Repeat 2
=> SUCCESS: Tests pass! the header is set!
5. Sign off :-D

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 5 Martin Renvoize 2021-03-23 14:32:18 UTC
Trivial fix, going straight for QA on this one.

Works as expected, obvious oversight in original implementation.. contains tests.

Passing.
Comment 6 Jonathan Druart 2021-04-01 16:55:28 UTC
Pushed to master for 21.05, thanks to everybody involved!
Comment 7 Fridolin Somers 2021-04-07 09:46:08 UTC
Pushed to 20.11.x for 20.11.05
Comment 8 Andrew Fuerste-Henry 2021-04-24 12:30:19 UTC
Doesn't apply to 20.05. Please rebase if needed